QGIS 3.0.3 crashes when using 'DB Manager' and 'PostGIS execute SQL'

2018-06-12 11:41 AM - bla bath

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.0.3 Regression?: Yes

Operating System: MacOS 10.13 High Sierra Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27005

Description

I am able to connect to my DB.

When loading shapefiles from my database into QGIS using `Layer`-> `Add Layer` -> `Add PostGIS Layers...` everything works just fine.

But when I go to `DB`-> `Database Manager`and try to open the DB from where I imported the shapefiles QGIS just crashes. The same

happens when I try using the `PostGIS execute SQL`tool.

I am running QGIS 3.0.3, PostgreSQL 10.4 and PostGIS 2.4 on MacOS 10.13

History

#1 - 2018-10-23 09:50 AM - Regis Haubourg

- Priority changed from High to Normal

- Status changed from Open to Feedback

Is it still occuring in QGIS 3.2 or latest master ?

#2 - 2018-12-28 11:55 AM - Paolo Cavallini

I cannot confirm. Could you please test, and if still occurring in current release please share a minimal dataset?

#3 - 2019-01-26 10:43 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files
